package webapp.jstl;

import org.springframework.web.context.WebApplicationContext;
import org.springframework.web.servlet.tags.RequestContextAwareTag;

import webapp.model.User;
import webapp.service.UserService;

public class UserNameTag extends RequestContextAwareTag {
	private static final long serialVersionUID = 4126918815338257441L;

	private UserService userService;

	private String id;

	@Override
	protected int doStartTagInternal() throws Exception {
		if (userService == null) {
			// WebApplicationContext 를 얻는다.
			WebApplicationContext ctx = getRequestContext().getWebApplicationContext();
			userService = ctx.getBean(UserService.class);
		}

		StringBuffer sb = new StringBuffer();

		User user = userService.getUser(id);
		if (user != null) {
			sb.append(user.getName());
			sb.append(" 님.");
		} else {
			sb.append("없는 사용자.");
		}

		pageContext.getOut().write(sb.toString());

		return SKIP_BODY;
	}

	public void setId(String id) {
		this.id = id;
	}

}
